commit:     1071b95989fba944ffc6855615bccb8964594154
Author:     Patrick McLean <patrick.mclean <AT> sony <DOT> com>
AuthorDate: Mon Jun  1 22:57:23 2020 +0000
Commit:     Patrick McLean <chutzpah <AT> gentoo <DOT> org>
CommitDate: Tue Jun  2 00:25:17 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1071b959

dev-libs/libyaml-0.2.5: Version bump

Copyright: Sony Interactive Entertainment Inc.
Package-Manager: Portage-2.3.100, Repoman-2.3.22
Signed-off-by: Patrick McLean <chutzpah <AT> gentoo.org>

 dev-libs/libyaml/Manifest             |  1 +
 dev-libs/libyaml/libyaml-0.2.5.ebuild | 45 +++++++++++++++++++++++++++++++++++
 2 files changed, 46 insertions(+)

diff --git a/dev-libs/libyaml/Manifest b/dev-libs/libyaml/Manifest
index 7ea69671ac8..46772dd3785 100644
--- a/dev-libs/libyaml/Manifest
+++ b/dev-libs/libyaml/Manifest
@@ -1 +1,2 @@
 DIST libyaml-0.2.2.tar.gz 79465 BLAKE2B 
fd37cac256b40b0c5daa32584d271448e5e1c196a7fa7eeda753fb962c7d916b3c415425170d70db67c3f114b27d03fdd67fb4e380c04027198a601e1bd5a094
 SHA512 
455494591014a97c4371a1f372ad09f0d6e487e4f1d3419c98e9cd2f16d43a0cf9a0787d7250bebee8b8d400df4626f5acd81e90139e54fa574a66ec84964c06
+DIST libyaml-0.2.5.tar.gz 85055 BLAKE2B 
71d1a002b8969db96af9e942bf67944acfdf2e740744b1abceacfd1c3bc54d8936d7048760aa81f1cf22518241e9f45ecf95c76d6ac41eefbdf04eb40e16a618
 SHA512 
a0f01e3fc616b65b18a4aa17692ee8ea1a84dc6387d1cf02ac7ef7ab7f46b9744c2aac0a047ff69d6c2da1d2a2d7b355c877da0db57e34d95cd4f37213ab6e7e

diff --git a/dev-libs/libyaml/libyaml-0.2.5.ebuild 
b/dev-libs/libyaml/libyaml-0.2.5.ebuild
new file mode 100644
index 00000000000..91cf1a6a176
--- /dev/null
+++ b/dev-libs/libyaml/libyaml-0.2.5.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools libtool
+
+DESCRIPTION="YAML 1.1 parser and emitter written in C"
+HOMEPAGE="https://github.com/yaml/libyaml";
+SRC_URI="https://github.com/yaml/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv 
~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos 
~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="doc static-libs test"
+RESTRICT="!test? ( test )"
+
+DEPEND="doc? ( app-doc/doxygen )"
+
+src_prepare() {
+       default
+
+       # conditionally remove tests
+       if ! use test; then
+               sed -i -e 's: tests::g' Makefile* || die
+       fi
+
+       elibtoolize  # for FreeMiNT
+       eautoreconf
+}
+
+src_configure() {
+       econf $(use_enable static-libs static)
+}
+
+src_compile() {
+       emake
+       use doc && emake html
+}
+
+src_install() {
+       use doc && HTML_DOCS=( doc/html/. )
+       default
+       find "${D}" -name '*.la' -delete || die
+}

Reply via email to